#
# spec file for package python-django-formtools
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-django-formtools
Version:        2.2
Release:        bp154.1.23
Summary:        A set of high-level abstractions for Django forms
License:        BSD-3-Clause
URL:            https://github.com/django/django-formtools
Source:         https://files.pythonhosted.org/packages/source/d/django-formtools/django-formtools-%{version}.tar.gz
BuildRequires:  %{python_module Django >= 2.0}
BuildRequires:  %{python_module isort}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 2.0
BuildArch:      noarch
%python_subpackages

%description
Django's "formtools" is a set of high-level abstractions for Django forms.
Currently for form previews and multi-step forms.

%prep
%setup -q -n django-formtools-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export DJANGO_SETTINGS_MODULE=tests.settings
export PYTHONPATH=`pwd`
%python_expand %{_bindir}/django-admin.py-%{$python_bin_suffix} test -v 2 tests --pythonpath=`pwd` 

%files %{python_files}
%license LICENSE
%doc AUTHORS.rst README.rst
%{python_sitelib}/*

%changelog
* Tue Jan  7 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.2:
  * Dropped testing for Django 1.8, 1.9, 1.10.
  * Dropped support for Python 2.
  * Added support for Django 2.1, 2.2, 3.0, and Python 3.7.
  * Updated translations from Transifex.
- Remove merged patch django-21.patch
* Mon Dec  9 2019 Matej Cepl <mcepl@suse.com>
- Remove useless pysqlite dependency. If explicit sqlite3
  dependency is required (perhaps in some SLE branch), please,
  just add BR for the full python/python3 package.
* Tue Sep  4 2018 comurphy@suse.com
- Add pysqlite dependency
* Wed Aug  8 2018 tchvatal@suse.com
- Format with spec-cleaner
- Add patch for django 2.1:
  * django-21.patch
* Thu Mar  1 2018 toddrme2178@gmail.com
- Update to version 2.1
  * Added testing for Django 1.11 (no code changes were required).
  * Added support for Django 2.0.
  * Dropped testing for Python 3.3 (now end-of-life) on Django 1.8.
- Fix unit tests
- Implement singlespec version
* Wed Jun 14 2017 aplanas@suse.com
- Initial package
